Assignee:  % Done: 100%

Category: libaudgui Estimated time: 0.00 hour

Target version: 3.5   

Affects version: 3.4.3   

Description

Hi... I'm using Audacious 3.4.3 on an Archlinux 64bit box

Since GTK3 libs have been updated to version 3.10.6 (now we have 3.10.7), I noticed a weird behaviour with song info window :

If you want to display song info for a song with a quite long path, the path itself is  written all in one line and it is not wrapped as

usual; then the window is displayed really too wide and remain to wide for all the session even if you choose any other song with a

short path.

If you close Audacious, then run it again, and choose, initially, a song with a "short" path,  the windows is displayed correctly then if

you choose another song with a long path, the path itself is wrapped  and the window is always displayed correctly.

I hope that the issue description is quite clear. Anyway I attached a webm screencast that describe the issues

regards

Andrea

History

#1 - February 01, 2014 22:28 - Thomas Lange

3.10.5 is also not working for me, but 3.10.4 [1] is fine.

Apparently gtk_widget_set_size_request() does not affect the label width.

Using gtk_label_set_max_width_chars() in "audacious/infowin.c" works though.

This sounds like a bug of GTK, the documentation is even mentioning gtk_widget_set_size_request().

[1] http://seblu.net/a/arm/2013/11/20/extra/os/x86_64/gtk3-3.10.4-1-x86_64.pkg.tar.xz

[2] https://developer.gnome.org/gtk3/stable/GtkLabel.html#gtk-label-set-line-wrap

#2 - February 03, 2014 23:38 - John Lindgren

This affects 3.4.x but not Git master, yes?

#3 - February 04, 2014 18:10 - Thomas Lange

Correct, 3.5 is not affected because the infowin size gets saved.

#4 - February 18, 2014 02:42 - John Lindgren

- Category set to libaudgui

- Status changed from New to Closed

- Target version changed from 52 to 3.5
- % Done changed from 0 to 100

Fixed:

https://github.com/audacious-media-player/audacious/commit/2f5b0c7146cfa654e5b71b73427605c4949f8825

The GtkLabel documentation is out of date and just plain wrong for GTK+ 3.x.  For more info:

https://bugzilla.gnome.org/show_bug.cgi?id=662043
